SECTION "Utilities", ROM0

; Copies data between two regions
; @param d  Size (in bytes) to copy. Must be >0
; @param bc Pointer to the destination region
; @param hl Pointer to the source region
memcpy::
    ld a, [hli]
    ld [bc], a
    inc bc
    dec d
    jr nz, memcpy
    ret
