INCLUDE "hardware.inc"

SECTION "Header", ROM0[$100]

_entry:
    di
    jp start

rept $150 - _entry
    db 0
endr

SECTION "Code", ROM0

start:
    call PlayerInit

    ; enable lcd and interrupts
    ld hl, rLCDC
    set 7, [hl]
    ei

.vbl:
    ld a, [$ff41]
    and 3
    cp 1
    jr nz, .vbl

    halt
    jp .vbl
