INCLUDE "hardware.inc"

Section "Player Data", WRAM0

playerWorldX: dw
playerWorldY: dw

; Sprite data
playerScreenX: db
playerScreenY: db
playerTileIndex: db
playerFlags: db

Section "Player Code", ROM0

spriteData:
    INCBIN "png/player.2bpp"

PlayerInit::
    ld a, 8
    ld hl, playerScreenX
    ld [hl], a

    ld bc, _VRAM8800
    ld hl, spriteData
    ld d, 16
    call memcpy

    ld hl, playerScreenX
    ld a, 8
    ld [hli], a
    ld a, 144-8*3
    ld [hli], a

    ld bc, _OAMRAM
    ld hl, playerScreenX
    ld d, 4
    call memcpy

    ret

PlayerDraw::
    ret
